The Author

WinTensor was written by Werner Kaminsky to help scientists derive and visualize measurements in crystals. WinTensor is also a useful tool for teaching people about many aspects of crystals. The aim of the program is to provide as much of the information as possible that is required for analyzing anisotropic properties in crystals.

The following text describes how the anisotropy of a measurement can be summarized in the form of a tensor, and explains how WinTensor can be used to display a tensor on screen as a 3-D image (representation surface). Representation surfaces are constructed from the strength of an effect described by a tensor.

The surface of a sphere is first subdivided into segments. Then, the distance of these segments is modified relative to the origin of a reference system, according to the tensorial effect in the direction of that segment.

WinTensor allows the user to draw cross-sections through these representation surfaces, copy a representation surface to the clipboard, print representation surfaces, and export representation surfaces in different formats for use as illustrations in texts dealing with the anisotropic properties in crystals.

In addition, WinTensor offers least-squares procedures for determining a tensor using raw data derived from a measurement performed in a crystal.

More:


Trying Out WinTensor

More:


Looking at a sample

Let’s load a file from the ‘Examples’ directory, which is located in the directory in which WinTensor has been installed.

To do this, follow these steps:

1. Click File

2. Click Open, and select the ‘Examples’ directory.


Opening a file in WinTensor

Now select the file named ‘quartz_oa.ten’. The graph shown below will be displayed, which represents optical rotation in low-quartz, SiO2:

Representation surface of optical rotation in low-quartz

The distance from the origin of the reference system to the surface of the image is scaled relative to the amount of optical rotation, which can be positive (green) or negative (red).

We will now describe the other features of WinTensor which are essential to using the program. One of these features concerns the values needed to draw a tensor surface.


Tables, Crystal Symmetry, Tensor Symmetry

The symmetry elements of a crystal are summarized in a symbol, which can be classified according to 7 crystal systems. There are only five point symmetry operations: 2-, 3-, 4-, 6-fold rotations and the inversion (-1 ). A 2-fold rotation combined with an inversion (-2 ) results in a mirror symmetry (m). In total, there are a maximum of 32 different combinations of these five operations in crystals.

For our example of quartz, try clicking the diamond button [image] on the WinTensor button bar or select Crystal from the main menu, followed by Point Group:

The WinTensor button bar, with Point Group selected

Clicking Point Group displays the crystal systems, and we can now select trigonal and then item 32, which is the point group of low-quartz.

Selecting a point group in WinTensor

Click on the last table and then choose the tensor symmetry button [image] on the WinTensor button bar or select Tensor from the main menu, followed by Tensor Symmetry:

Table of tensor symmetries available in WinTensor

As shown here, the item (ij) is selected. This is the symmetry of a second-rank optical rotation tensor. The indices are commutative, which is indicated by the brackets. Please close this table.

Finally, click the independent tensor components button [image] on the WinTensor button bar or select Tensor from the main menu, followed by Independent Components:

Independent tensor components of optical rotation in quartz

Double-click this table to close it. It is also possible to take a look at all tensor components which are not included in the commutativity of this tensor, which leaves us with 6 components (most of them are zero). You can find this table by choosing Tensor from the main menu, followed by Components:

Optical rotation componentns in quartz


Mouse Movements

Pressing the left mouse button rotates the tensor. To move the image, hold down the right mouse button and drag the image with the mouse. If you press the ‘Alt’ key and move the mouse upwards without pressing a mouse button, the view of the tensor is enlarged. Moving the mouse down moves the image further away.

The tensor can be rotated around the normal screen axes by holding the left mouse button down and moving the mouse cursor from a position near the center of the frame into the left part of the frame (the drawing toolbox is usually displayed here). Holding down the ‘Ctrl’ key moves the light source to the position of the cursor.

If you have made too many changes to the image and want to restore the original position, orientation and basic colors, choose the menu command Styles/Colors / Reset View Parameters.

Overview of mouse actions when a button is held down and the mouse is moved:

· left mouse button: rotates the tensor

· right mouse button: moves the tensor

· ‘Alt’ key: zooms in or out

· ‘Ctrl’ key: changes the position of the light source

Tip:

The representation surface can also be rotated using the keyboard or the sliders in the drawing toolbox.


Rotating the Tensor with the Keyboard

The representation surface can be rotated using the keyboard. The movements for specific keystrokes are:

· ‘s’: rotate to left around z axis

· ‘d’: rotate to right around z axis

· ‘e’: move observer up

· ‘x’: move observer down

· ‘a’: rotate counterclockwise around x axis

· ‘f’: rotate clockwise around x axis

Tip:

The picture can be rotated using the mouse or the sliders in the drawing toolbox.


Loading and saving

More:

Open From File

File

New

Open

Reopen

Save

Save As

Save Picture As

Print

Exit


Open From File

With some programs, like Notepad for example, you can open a file by double-clicking on the file in Explorer. The same applies to WinTensor, if the program has been correctly installed and the ‘ten’ – file extension has been registered from tools, paragraph 6.3. By default, all files readable by WinTensor have the file extension ‘ten’.

This feature is automatically istalled with WinTensor, however, to enable this facility in general, follow these steps:

1. Double-click the My Computer icon on the desktop of your computer.

2. Select Options from the View menu, and then click the File Types tab.

3. To create a new file type, click New Type.

4. Specify the description of the file type you want to create, and the filename extension associated with this type of file.

5. Click New to define an action for this file type.

6. Specify the action that you want to define as Open. The command needed to implement this function is: path+\program.exe where “path” is the path to the directory in which the application ‘program’.exe is installed (if you are unsure, you can use Browse to find the path). If you are running an older version of Windows 95, you may need to add a space and to type ‘’%1’’ exactly as shown in the command line, which enables Windows to include files with the specified extension into the list of recently opened documents. Select OK.

7. Select a new icon file *.ico from the directory where the application has been installed. To do this, browse for the directory.

All files with the selected extension should now be listed with this specific icon next to the name. Note that it may be necessary to reboot your system before the changes take effect.


File

The File item on the main menu has more or less the same function as the File command on the main menu of any other standard Windows application.

The File menu in WinTensor


New

When you want to create a new tensor file, the New command on the File menu, or the new file [image] option on the WinTensor button bar, queries all the information required before the tensor components can be entered.

First you have to specify whether existing tensor components should be deleted. A card is then displayed with several fields that require editing.

Creating a new tensor file

When the information on the tensor filename, tensor symmetry, type of tensor (axial/polar), point symmetry of the crystal, and the unit and dimension (scale) of the components has been specified, the components can be edited using the separate components table, which takes different forms depending on the information already specified.

Restore attempts to restore old existing values. OK transfers the parameters to the main WinTensor window.


Open

To open a tensor file, follow these steps:

1. From the File menu, click Open.

2. In the Look In box, click the drive that contains the document you want to open.

3. Below the Look In box, click the folder that contains the document you want to open.

4. Click the name of the tensor file, or type it in the File Name box.

Tips:

If you can’t find the file you are looking for, select all file types (*.*) in the Files of Type list.

The 5 files opened or saved most recently can be accessed using the Reopen command on the File menu.


Reopen

When a file has been opened or saved, its location is included in a list of recently-opened files. The most recent file heads the list, which is updated continuously. Clicking an item in this list opens the tensor file.

To open a file which is not included in the list, select Open from the main menu or click the open button [image] on the WinTensor button bar.


Save

1. On the File menu of the program you are working in, click Save or click the Save button on the toolbar.

2. If you are saving a file for the first time, type a name in the File Name box.


Save As

To save changes to a existing document in a new file, click Save As, and then type a new name in the File Name box.


Save Picture As

The Save Picture As command on the File menu provides three different format options for saving the current contents of the screen in a file:

*.EMF - Enhanced Metafile

*.SMF - Standard Metafile

*.BMP - Windows Bitmap

The procedure for selecting a filename is similar to that for Save As.


Print

When you are happy with a tensor and want to print it out, click the File menu, and then choose Print.

A dialog box will be displayed, where you can change the paper size, page orientation, and margins. To change printers, click Printer, and then select a printer from the Name list.

During printing, a printer icon appears next to the clock on the taskbar. When this icon disappears, your document has finished printing.


Exit

This command closes down the program. You will be asked to confirm that you want to quit the application. If you click ‘No’, the program will continue to run. If you choose ‘Yes’, WinTensor will close down.

Caution: You may lose data if you do not save it before quitting the program!


Edit

The Edit command on the main menu can be used to copy the contents of the window to the clipboard, in different formats.

The Edit menu in WinTensor


Copy As

To copy the image to the clipboard, follow these steps:

1. From the Edit menu, choose Copy As Windows Bitmap, Copy As Enhanced Metafile, or Copy As Standard Metafile.

2. In the document where you want the image to appear, click at the point where you want to insert the image.

3. Choose Paste from the Edit menu.

The metafile option is a vector-graphic option. The resolution of the image depends on the device used for viewing or printing it. The bitmap option creates a bitmap with the same resolution as the on-screen image.

Tip:

You can paste the information more than once.


Edit Unit Text

If a scale bar is enabled for the image, the unit of measurement can be edited by clicking the exponent symbol at the top right of the drawing toolbox. The unit text can also be edited by choosing Edit from the main menu, followed by Edit Unit Text.

Optical rotation surface with scale

For text editing to take effect, you must double-click the edit box. When a new graph is drawn, the text will be updated on the screen. Note that text will only be displayed if Scale is selected in the drawing toolbox or on the View menu.


View

The View command on the main menu offers several options for displaying or hiding screen elements.

The View menu in WinTensor

The first two menu items are used to display or hide the drawing toolbox (normally positioned on the left of the window) and the WinTensor button bar.


Drawing tool

The Draw/View command is used to display or hide the tollbox

More:

Scale and Unit Caption

Tensor Symmetry

Size

Rotating the Surface with the Sliders

Resolution

Perspective

Draw


Scale and Unit Caption

The scale is selected from View / Drawing Tools or in the drawing toolbox, if this is displayed.

When Scale is enabled, a scale is drawn together with the representation surface, at the bottom right of the frame. The color of the scale can be selected using Styles/Colors / Set Axes Color, which also sets the color of the axes of the reference system.

To change the scale itself, use the four arrows in the drawing toolbox above Scale. The two left-hand arrows make changes in increments of ten without redrawing the image, and the two right-hand arrows make changes in increments of 20%, with the tensor being redrawn immediately.

If a scale bar is enabled for the image, the unit of measurement can be edited by clicking the exponent symbol at the top right of the drawing toolbox. The unit text can also be edited by choosing Edit from the main menu, followed by Edit Unit Text.

Tip:

To change the size of the entire image, use the Size arrows in the drawing toolbox.


Tensor Symmetry

A tensor is classified according to its rank and its symmetry, where rank typically corresponds to the number of indices and symmetry includes commutativity of indices or pairs of indices. Any commutativity is indicated by parentheses. For further information, see also: The Tensor menu.


Size

The two arrows in the upper part of the drawing toolbox, above Size, modify the size of the entire image. The changes take place in increments of 20% and the image is redrawn immediately.

Tip:

To change the size of the representation surface relative to the axes, use Scale in the drawing toolbox (located adjacent to Size).


Rotating the Surface with the Sliders

The orientation of the tensor can be changed by moving the three sliders in the drawing toolbox labeled with the Greek letters alpha, beta and gamma. The first slider rotates the image around the normal vector on the screen, the second rotates it around the horizontal axis of the screen, and gamma, the last slider, rotates the image around the z-axis. Changes made using the sliders take effect when the Draw button is clicked.

Tip:

The image can also be rotated using the mouse or the keyboard .


Resolution

To change the resolution of a surface, use the Resolution slider in the drawing toolbox. The leftmost position selects the lowest resolution, and the rightmost position selects maximum resolution. Any changes will only take effect when the tensor is redrawn (e.g. by clicking the Draw button).


Perspective

The perspective of the picture can be changed using the Perspective slider in the drawing toolbox. Moving the slider to the left moves the viewpoint very close to the tensor, making the parts in the background appear very small and those in the foreground very large.


Draw

Redraws the tensor. Enjoy!


The Speedbuttons

To redraw a tensor, click once on the Draw button in the drawing toolbox, the brush [image] on the WinTensor button bar, or the menu item View / Draw. Depending on your computer’s specification, it may take some time to redraw a high-resolution image.

The WinTensor button bar is displayed below the main menu, and provides quick access to the most frequently-used functions.

The following functions are associated with the individual buttons:

Draws or redraws a surface

Displays or hides the WinTensor toolbox

Creates a new file with extension *.ten which contains all tensor-related parameters

Saves a tensor file

Loads a tensor file

Prints an image

Opens the table of point groups

Opens the table of tensor symmetries

Opens the table of independent components

Clears all tensor components

Shows a cross-section of the physical x-axis

Shows a cross-section of the physical y-axis

Shows a cross-section of the physical z-axis

Draws a stereo image (for “crossed eyes” viewing)

Replaces a stereo display with a single surface

Selects the surface color for positive effects

Selects the surface color for negative effects

Selects the background color

Selects the color and style of labels

Selects the color of the reference system

Opens the Help menu


Stereo

This option is located on the View menu and generates two images of the representation surface as seen from slightly different viewpoints. By focussing on the left image with the right eye, and on the right image with the left eye, the observer is given the impression of viewing a three-dimensional image of the tensor.


The 256 Color Palette

Windows uses dithering to display RGB colors using only a limited number of colors to match the capabilities of the video system, or is set to 8-bit colors. Solid colors can be supported by enabling the 256-color Palette (default = enabled), which may improve the quality of the graphics drawn by WinTensor. However, if the video system supports high color (16-bit colors), it makes no difference whether 256-color Palette is enabled or disabled.


Cross-sections

To draw cross-sections of the representation surface, select View / Cross-sections / Cross-section on x, for example, which then draws a cross-section through the tensor containing the origin and the y and z axes. The File / Print or Edit / Copy... functions will refer to the current image. Pressing the Draw button switches back to 3 dimensions.

Cross-section through the optical rotation representation surface of low-quartz


Styles/Colors

The Styles/Colors command allows the user to customize the appearance of the image in accordance with his/her personal preferences.

The Styles/Colors menu in WinTensor

More:

Reset View Parameters

Fill

Grid

Background Color, Text Appearance, Color of Axes

Change Axes Caption


Reset View Parameters

If you have made too many changes to the image and want to restore the original position, orientation, and basic colors, choose the menu command Styles/Colors / Reset View Parameters.


Fill

Fill can be selected from the View menu or in the drawing toolbox, if toolbox display is enabled.

When Fill is enabled, the representation surface will be drawn with the colors selected using the Styles/Colors command for Positive Fill Color or Negative Fill Color, where positive and negative refers to the sign of the tensor effect on the surface. If both Grid and Fill are disabled, no surface will be visible!

The colors can also be selected by choosing the positive fill color ( [image] ) and negative fill color ( [image] ) buttons.


Grid

Grid can be selected from the View menu or in the drawing toolbox, if toolbox display is enabled.

This function draws a grid on the representation surface, which is essential if you want to see the surface when Fill is disabled. The resolution of the grid is governed by the Resolution slider in the drawing toolbox (the View menu includes a command for displaying/hiding this toolbox). To select the color for positive effects, choose Positive Grid Color from the Styles/Colors menu, and Negative Grid Color for negative effects.


Background Color, Text Appearance, Color of Axes

The color of the reference system (axes) and of the window background can also be selected by the user. The Text Style command allows the font style, size, and color to be modified as well.

Tip:

These three options are available on the WinTensor button bar by clicking the [image] , [image] , or [image] buttons.


Change Axes Caption

Axes can be selected from the View menu or in the drawing toolbox, if toolbox display is enabled.

When Axes is selected, the image of the representation surface will include the axes of the physical reference system along x, y and z. The color of the axes can be selected by choosing Styles/Colors / Set Axes Color.

The font used for x, y and z can be changed via Styles/Colors / Text Style. Instead of x, y and z, it is possible to type a, b, c or e1, e2, e3. These options can be selected using Styles/Colors / Change Axes Caption.


The Tensor Menu

The Tensor menu allows you to select the tensor symmetry table, change the type of tensor from polar to axial and vice versa, to select the table of independent components, and a table of components which are not symmetry-equivalent with respect to the symmetry of the tensor. It is also possible to select an option whereby the index position of a tensor can be linked to a specific direction cosine. This menu also includes an option for deleting all tensor components. Some of these options are also available on the WinTensor button bar.

The Tensor menu in WinTensor

More:

Tensor Symmetryand Type

Independent Components

Components

Fixed Direction Cosines

Reset TensorComponents


Tensor Symmetryand Type

This option is available by clicking the tensor symmetry button [image] on the WinTensor button bar, or can be selected from the main menu by choosing Tensor, followed by Tensor Symmetry:

Table of tensor symmetries available in WinTensor

A tensor is classified according to its rank and its symmetry, where rank typically corresponds to the number of indices and symmetry includes commutativity of indices or pairs of indices. Any commutativity is indicated by parentheses.

Anticommutativity is indicated by square brackets: t[ij]k represents tijk = -tjik.

Symmetry is selected by choosing Tensor / Tensor Symmetry or by clicking the tensor button in the WinTensor toolbox.

The following tensor symmetries have their individual components listed separated in WinTensor Version 1, with Axial and Polar characterizing the type:

Symmetry | Polar | Axial
(i) | yes | yes
ij | yes | yes
ijk | yes | yes
(ij)k | yes | yes
i(jk) | yes | yes
[ij]k | no | yes
ijkl | no | no
(ij)kl | cubic | no
(ij)(kl) | yes | no
((ij)(kl)) | yes | no
ijklm | no | no

‘yes’ stands for all point symmetries, ‘no’ for no entry, and ‘cubic’ for entries in the cubic system only.


Independent Components

If a point group has been selected, the number of tensor components is drastically reduced. Only the components of a tensor which are not connected by any symmetry operation, either relating to the tensor symmetry itself or to the symmetry of the crystal, need to be edited. To select this option, go to Tensor / Independent Components.

If there is no independent tensor components entry for the specific point group or tensor symmetry, the following message will be displayed:

An error message is also defined for non-existent tensors:

This message appears if the user tries to address a third rank polar tensor in a centrosymmetric point group, for example.


Components

The Tensor / Components command allows tensor components to be viewed and edited The table shows all components in a way which matches the symmetry of the tensor, i.e. if indices are commutative, they appear only once.

It is important to note that no artificial factors have been included.

Tip: A table of the independent components can be selected using the Tensor / Independent Components command. See further


Fixed Direction Cosines

This item on the Tensor menu allows the user to link direction cosines to a specified direction, which will then not follow the directions scanned through 3D to draw the representation surface. This is necessary in order to visualize transversal effects.

The first column indicates which index of a tensor is affected, up to Tijklm. Clicking on the second column when entering it from another cell within the table toggles between ‘yes’ and ‘no’. The other three columns are used to specify the direction cosine to be automatically normalized.


Reset TensorComponents

All of the tensor’s components will be deleted. You will be asked to confirm before deletion takes place:

Tip:

Be sure to save the components before clicking Yes. Otherwise, you will lose the tensor.


Crystal

This menu currently contains one command only, Point Group, which can also be selected from the WinTensor button bar.

The Crystal menu in WinTensor

The 32 (non-magnetic) point groups (classes) are subdivided into seven crystal systems.


Tools

This menu currently contains two command. The first, register *.ten files allows the user to enable WinTensor to open automaticly when a file with extension 'ten' is double clicked from within the explorer as example. The second option, Fit, which opens the names of some special tensors:

The Tools menu in WinTensor


Fit

WinTensor provides several different tools to make it easier to derive tensors from original data. The Fit option on the Tools menu opens a listing of physical properties for which tensors can be calculated from determined or over-determined systems of equations (Version 1).

Pyroelectric Constants

Dielectric Constants

Thermal Expansion

Magnetic Susceptibilities

Optical Activity

Faraday Effect

Electrostriction

Piozoelectrics

Electrogyration

Hall Effect

This tool creates the system of equations based on the directions of the external fields used for measurement. The user therefore needs only to specify the point group of the crystal. Tensor symmetry will be chosen in accordance with the selected property.

In most cases when a tensor consists of commutative indices it is not necessary to edit the direction cosines for each of these indices (see Dielectric Constants option).

If it is possible to derive the tensor from longitudinal measurements related to these indices, WinTensor will not separate them. However, if it is necessary to perform measurements with external fields in different directions, the system of equations must be edited accordingly (see Electrostriction option).


Error Messages Produced by Fit

Error messages provide guidance on tensor determination.

‘...’ is not a valid floating point value

Check whether a number has been typed incorrectly, or if a value has been forgotten. Remember that in some countries a comma is used as a separator instead of the decimal point.

At least one direction not specified

The direction of an external field has not been specified (usually means that zero has been specified for all three coordinates).

One or more tensor components are not derivable

The direction cosines have been given, and the measured values, but the system of equations is incomplete with respect to the necessary tensor components. Check the system and look for a missing direction. If necessary, invent a direction and measured value for the component in question if the measurement is incomplete (this calls for some experience!).

Not able to derive standard deviations

This warning tells you that the number of equations and the number of tensor components are identical. In this case, no standard deviations of the tensor components are calculated. The result will show 0, which should not be mistaken for an error in the values specified.

One or more errors where <=0 and set to 1

If the error of a measurement has been set to 0 or, even worse, to a negative value, WinTensor will react by changing it to 1!

Could not invert Hesse matrix

This is a technical error message triggered by a number of the above errors. Review the cases described above to identify the specific problem.

Tip:

To read through examples of a detailed tensor determination, refer to the way the items referred to above have been specified for the special tensors.


General Aspects

More:


Defining a Tensor

If a property of a material is governed by a limited number of components, it is called a tensor property. The components of a tensor then transform according to

t’ij..l = uii’ujj’…ull’ ti’j’...l’,

where uij’ are components of a transformation matrix in accordance with the symmetry operations of the point group of the material, and i, j can take the values 1,2, and 3 in a 3-D space.

The above equation should be read as a sum of sums, where summation must be performed for each pair of identical indices. This is the Einstein convention (see below), which is frequently used to simplify multiple sum expressions.

The whole tensor is generated from the independent components, which are not symmetry related, either with regard to the symmetry of the crystal or in terms of the symmetry of the tensor.

The rank of a tensor is equal to the number of its indices. As an example of the effect of symmetry, let the transformation uij, which itself is a second-rank (polar) tensor, describe a center of inversion as if it were part of the symmetry of a crystal: uij = -1 if i equals j, and uij = 0 if i is different to j. Let us apply uij to a third-rank (polar) tensor:

t’ijk = uii’ujj’ukk’ti’j’k’ = (-1)(-1)(-1)tijk.

tijk is supposed to be invariant to the symmetry operation introduced by uij, which means that the above equation becomes t’ijk = - tijk. But this is possible only if tijk is equal to 0. This result can be generalized as follows:

A polar tensor of odd rank cannot exist in crystals with an inversion symmetry. Such crystals are called centro-symmetric.

If a tensor describes an axial effect (those connected with magnetic fields or currents) it may be axial as well. Now we have to take account of a sign-change when the hand is affected by a transformation, by adding the determinant of the transformation matrix:

t’ij..l = det(uij) uii’ujj’…ull’ ti’j’...l’.

Since an inversion operation as shown changes the hand, and det(uij) is (-1), an axial tensor of odd rank is invariant to this operation and does exist, but not those of even rank. This again can be generalized:

A tensor always exists in relation to a reference system. This means that if one decides to change the orientation of the Cartesian axis to which the tensor is related, all its components may also change.

More:

Point Group

Reference Systems

Einstein Convention

Symmetric Tensors

Levi-Civita Symbol


Point Group

All symmetry operations which leave one point within the 3-dimensional space invariant are described by point group symmetries. Such point group symmetries can include rotations, mirrors and inversions. In total there are 32 different point groups in crystals.


Reference Systems

Properties carrying indices are always related to reference systems. These systems specify which value is observed in which direction of the 3-D space.

Tensorial properties are related to Cartesian reference systems, which are characterized by three orthogonal unit vectors (the length of these vectors is unity and they are mutually perpendicular).

The international convention for specifying the physical reference system {ei} as a basis for tensors is as follows:

e2 is chosen parallel to a*2

e3 is parallel to a3

e1 = e2 x e3

a*2 or b* is the second reciprocal vector of the crystallographic metric for a given material, and a3 the third vector of the normal crystallographic metric. The ai and a*i, for a given point symmetry of the material, are generally not Cartesian.


Einstein Convention

It is much clearer to write multiple-sum expressions in such a way that the explicit sums are replaced by the following generally accepted convention: wherever two identical indices are found in an expression, there is a summation over the possible values of these indices.

Let’s look at the following example. The scalar product of two vectors A and B within a 3-D Cartesian reference system is:

A · B = A1B1 + A2B2 + A3B3 = AiBi

Here, in a three-dimensional space, the three possible values for i are 1,2,3. If the Einstein convention is not to be applied, this must be explicitly stated, since almost everyone dealing with indices-loaded formulas will otherwise assume the convention is being used.

As a more complicated example, let’s take the following expression, which is used to read out a so-called longitudinal, or effective, value along a specific direction:

e’1 = u1iei.

e’1 already consists of a sum over three components:

e’1 = u11e1 + u12e2 + u13e3.

The effective value T’11 along e’1 of a second-rank tensor Tij therefore is:

T’11 = u1i u1j Tij =

u11u11T11 + u12u12T22 + u13u13T33

+ u11u12T12 + u11u13T13 + u12u13T23

+ u12u11T21 + u13u11T31 + u13u12T32


Symmetric Tensors

If the components Tij of a tensor and Tji are identical, the indices are commutative. To indicate commutativity, brackets are introduced:

T(ij) : Tij = Tji

Often, only part of a tensor is symmetric. The piezo-electric tensor is such an example:

di(jk): dijk = dikj.

There are cases where pairs of components are commutative, like those of the elastic constants

c((ij)(kl)): cijkl = cjikl = cijlk = cjilk = cklij = clkij = cklji = clkji.

If all components of a tensor are commutative, the tensor is described as being totally symmetric. In this case all its components are found from longitudinal effects measured in different directions.


Levi-Civita Symbol

The Levi-Civita symbol eijk is a third-rank totally anti-commutative tensor:

eijk = 1, i,j,k cyclic 1,2,3

eijk = -1, i,j,k cyclic 2,1,3

and = 0 elsewhere


Calculation of Representation Surfaces

Given a tensor tij..l, the distance t’11...1 from the origin of a Cartesian reference in a direction e’1 = uijej with direction cosine u1i is derived from t’11...1 = u1iu1j...u1ltij...l.

In scanning a sphere with u1i, a closed surface is constructed, with the distance to the origin being t’11...1.

Negative distances are usually drawn in a different color, to provide a visual contrast to positive values.

The example below shows the representation surface of optical rotation in low-quartz, SiO2.

Figure a): The axes x, y, z of the Cartesian reference are parallel to (a), (2b-a) //b* and c (a, b, c crystallographic axes in quartz).

Figure b): Negative (counterclockwise) optical rotation is drawn in red, a positive effect is shown in green.

Figure c): This figure shows a cross-section of the representation surface perpendicular to x. The length of the arrow from the origin of the reference system to the surface is given by the longitudinal effect T’11 of optical rotation.

The physical reference in SiO2 (a), representation surface of optical rotation (b),

and (c) a cross-section normal to the x-axis of this surface


Longitudinal Effects

The longitudinal, or effective, value along a specific direction e’1 = u1iei is

T’11..1 = u1i u1j..u1k Tijk

The effective value T’11 along e’1 of a second-rank tensor Tij therefore is:

T’11 = u1i u1j Tij =

u11u11T11 + u12u12T22 + u13u13T33

+ u11u12T12 + u11u13T13 + u12u13T23

+ u12u11T21 + u13u11T31 + u13u12T32

e’1 already consists of a sum over three components

e’1 = u11e1 + u12e2 + u13e3, according to the Einstein convention.


Transversal Effects

Similarly to longitudinal effects, one can derive an expression of a measured value calculated from a given tensor where the inducing fields are in different directions:

T’12..m = u1i u2j..umk Tijk

Each of the direction cosines umk refers to the direction of an external field along e’m. As an example, let us consider the piezo-electric effect in point symmetry 32 of the trigonal system in quartz. There are only two independent tensor component, d111 = -d122 = -d212 = -d221 = 2.31(1) pC/N and d123 = d132 = -d231 = -d213 = -0.37(1) pC/N. When we try to draw a representation surface and change the value of d123, the representation surface is not affected by this change. We can see that component only if we fix the direction cosines e’2 = u2jej and e’3 = u3kek for an external uniaxial pressure to [0 0.7071 0.7071] or [0 -0.7071 0.7071] and let only e’1 =u1iei run to draw the representation surface. To do this, choose Fixed Directions from the Tensor menu


Special Tensor

More:

Pyroelectric effect

Dielectric Constants

Thermal Expansion

Magnetic Susceptibility

Optical Activity

Faraday Effect

Electrostriction

Piezoelectrics

Electrogyration

Hall Effect


Pyroelectric effect

Non-centrosymmetric tensors with one and only one polar axis may establish a surface charge if the temperature is changed. This effect, which was discovered for the first time in tourmaline, is described by a first-rank tensor {Pi}. If dT denotes the temperature change and C the surface charge, this gives us: Ci = PidT

Tourmaline crystals

Below is shown the (simulated) result of a measurement in tourmaline along the crystallographic c-axis. In reality, we would input many more individual measurements to achieve a reasonable degree of accuracy. Since the crystal was not clamped, this measurement represents the pyroelectric effect at constant stress. The volume of the sample was allowed to change due to thermal expansion.


Dielectric Constants

Dielectric constants describe the response of matter to an electric field. Such a field causes polarization of the atoms. As a result, the field inside the material is different to the external field.

The field inside the matter is named ‘dielectric displacement’ and denoted with a capital D, which is a polar vector. The electric field is denoted with a capital E. Again, this is a polar vector.

The dielectric constant tensor {eij} is polar and of second rank because D and E are both polar and of first rank (vectors).

The so-called material equation then is Di = eij Ej.

As an example, let us consider triclinic LiHC2O4*H2O.

Relative to the physical reference system ei we can define the direction-cosines uij for a direction e’1. The effective dielectric constant along that direction is eij as a result of a capacity measurement.

e’1 = u1i ei , e’11 = u1i u1j eij

As usual there is a summation over two identical indices (Einstein convention). Experimental values for a quasi-static electric field at 10MHz are summarized. e’11 = e0 e’rel,11, e0 is the vacuum permittivity.

u11 | u12 | u13 | e’rel,11
1 | 0 | 0 | 6.77
0 | 1 | 0 | 5.43
0 | 0 | 1 | 4.91
0 | sqrt2/2 | sqrt2/2 | 4.70
0 | sqrt2/2 | -sqrt2/2 | 5.53
-0.6996 | 0.7145 | 0 | 6.58
-0.4591 | 0.1662 | 0.873 | 3.89
-0.2767 | 0.8035 | 0.5263 | 4.71

The result, obtained using the Tools / Fits / Dielectric Constants command, is:

The symmetric dielectric constant tensor e’rel,11can be transformed into a diagonal form. The inherent values and their directions eo,i = u0i e i are given below. For second-rank properties, this result is automatically shown when using WinTensor.

e’rel,o | uo1 | uo2 | uo3
7.94 | 0.832 | -0.246 | 0.498
3.869 | 0.496 | -0.076 | -0.865
5.24 | -0.251 | -0.966 | -0.059


Thermal Expansion

The shape of a crystal may change with changes in temperature. This is described using the following equation:

eij = aijdT

where dT is the temperature change aij the components of thermal expansion and aij those of the strain.


Magnetic Susceptibility

Magnetic susceptibility describes the response of matter to a magnetic field. Such a field causes magnetization of the atoms. As a result, the magnetic field inside the material is different to the external field.

The field inside the matter is named ‘magnetic induction’ and denoted with a capital B, which is a vector. The magnetic field is denoted with a capital H. Again, this is a vector.

The magnetic susceptibility tensor {sjj} is polar and of second rank because H and B are both axial and of first rank (vectors).

The material equation is Bi = sij Hj.


Optical Activity

The material equation describing optical activity or rotation is as follows:

Di = eij Ej + ... + dEj/dxk Gijk.

Conservation of energy results in Gijk = - Gjik. Thus, we can reduce the symmetry of Gijk using the axial Levi-Civita symbol:

eijm Gijk = Kgmk , K = wave vector

Because Gijk is polar, the reduced gmk is an axial tensor. In fact, the two first index positions both refer to the direction of a light wave and thus cannot be distinguished. Therefore gmk = gkm, and this tensor is characterized as g(mk). The observed rotation in degrees/mm is:

,

where L is the thickness of the sample, E the external electric field, and n the refractive index (usually it is sufficient to take the average value).

Measurements of optical rotation are not trivial because if a material exhibits birefringence it obscures the optical rotation, giving a quite different reading compared to the hypothetical case where there is no birefringence. The wave effectively becomes elliptically polarized when measuring along a birefringent direction in a crystal. Further, quite extensive measures are required to separate optical rotation and birefringence, which are described elsewhere.

As an example, the determination of optical rotation in tartaric acid is shown below. The indicatrix serves as a reference system.

Fit of optical rotation in tartaric acid

The representation surface of optical rotation in tartaric acid

(example file: TartaricAcid_oa.ten)


Faraday Effect

The Faraday effect arises from the Zeeman splitting of energy levels of ions in any material. It causes a linear polarized light wave to be rotated when passing through a (transparent) sample. As a result of the nature of Zeeman splitting, there is no Faraday rotation to be observed perpendicular to the magnetic induction vector of the material.

In dia- and paramagnetic crystals we observe a rotation V’11T1H1. That is, we assume the light path and the magnetic field to be always parallel. V’11=u1iu1jVij, where Vij are the Verdet constants (polar, second rank). The indices are commutative.

The table shows the result of a tensor determination in triclinic KH3(COO)4*2H2O (PS`1 ). The direction cosines refer to the indicatrix in this material. We selected tensor symmetry T(ij) and the point group (`1 ) before selecting Tools / Fit / Faraday Effect from the main menu.

The inherent values of the resultant coefficients are independent of the choice of reference system.

The measurements are not trivial since the birefringence of this triclinic material and the Faraday effect combine to give an obscured reading when measuring the rotation of incident linear polarized light. The wave effectively becomes elliptically polarized when measuring along a birefringent direction in a crystal. Further measures are required, which are described elsewhere.


Electrostriction

Electrostriction is caused by the response of matter to an electric field, which causes polarization of the atoms. As a result, the shape of a crystal changes slightly.

The vector denoting an applied electric field is E. The equation describing electrostriction connects the strain eij with the electric field:

eij = dijk Ek

The linear electrostriction tensor {dijk} is polar and of third rank because E is polar and of first rank (vector) and the strain Îij is polar and of second rank. Because e(ij) is a symmetric tensor, the first two indices of d(ij)k are also commutative.

Linear {dijk} does not exist in centrosymmetric crystals.

As an example, let us consider trigonal quartz, SiO2

Relative to the physical reference system ei, we can define the direction-cosines uij for a direction e’1. We will measure an effective change of thickness d’113 of a rectangular cut sample along that direction. The electric field may be applied along e’3.

e’1 = e’2 = u1i ei , e’3 = u3i ei . d’113 = u1i u1j u3k dijk

As usual there is a summation over two identical indices (Einstein convention).

When selecting the Fit option from the Tools menu, followed by Electrostriction, the unit will automatically change to pm/V and the tensor symmetry is T(ij)k. When looking at independent components we find:

d111 = -d122 = -d221, d132 = -d231

To get all dijk components in quartz we would need one longitudinal measurement along e’1 = [100]p = e’3 and a second along e’1 = [101]p with the electric field along e’3 = [010]p. The [...]p brackets indicate that the indices are related to the physical reference system.

The accuracy of the experiment needs to be tested with at least one more measurement along for example e’1 = e’3 = [111]p. This will compare with the measurement along [100]p. However, this measurement cannot improve the component d132 which equals -d231 and thus does not contribute to the measured striction.


Piezoelectrics

The piezo-electric effect arises from a deformation of a structure caused by an external mechanical force. As a result, the atom co-ordinates are slightly shifted, which leads to a surface charge if the symmetry of the crystal belongs to one of the 20 non-centrosymmetric point groups, i.e.:

1, m, 2, 22, 2m, 3, 32, 3m, 4, (42), 4m,-4,-4m, 6, (62), 6m,-6,-6m, 23,-43

The point symmetries in brackets possess only transversal effects.

The tensor dijk connects the polarization Pi with the stress ejk according to

Pi = dijk ejk.

To derive a tensor, we need to specify in which direction the charge is measured, and in which direction the external force is applied. The coefficients (dijk = dikj) require the charge to be measured along u1i, and a uniaxial pressure to be applied along e’2 = u2jej and e’3 = u2kek.

Let’s take quartz (32) as an example. The above graph shows the screen of the Fit utility, found in WinTensor under Tools / Fit / Piezoelectrics. When this function is selected, the unit is automatically set. We have added two more input fields to enable the result of three measurements (y,dy) to be used for determining the tensor.

The charge which has been measured has to be normalized according to the size of the sample, which is x1 between the electrodes, and, perpendicular to direction x1, the distance x2 between the surfaces along which the external mechanical field acts. If a force F’22 (in Newton) was applied along e’2 =u2jej = e’3, the effective piezo-electric coefficient d’122 can be found from the measured charge Q (Coulomb) according to

These d’122 must be inserted in column (y) of the table as shown above. Column (dy) takes the individual errors of the measurements.


Electrogyration

Electrogyration refers to optical rotation induced by an electric field. Let’s look first at the material equation:

Di = eij Ej + ... + dEj/dxk Gijkl El

Energy conservation demands that Gijkl = - Gjikl. Thus, we can reduce the symmetry of Gijkl using the axial Levi-Civita symbol:

eijm Gijkl = K gmkl , K = wave vector

Because Gijkl is polar, the reduced gmkl is an axial tensor. In fact, the two first index positions both refer to the direction of a light wave and thus cannot be distinguished. Therefore gmkl = gkml, and this tensor is characterized as g(mk)l. The observed rotation in degrees/Volt is

,

where L is the thickness of the sample, E the external electric field, and n the refractive index (usually it is sufficient to take the average value).

As an example, let’s consider electrogyration in cubic Pb(NO3)2. Two samples were investigated. The first was cut on (111) [note: the result is different when cut on (`111)) and the second with the faces (110) and (001). The experimental g’113 were inserted for y, and the error of the measurement was typed in the dy column. The direction cosines along the wave vector and the electric field were inserted for u1i in the first and u3i in the second line, respectively, for each measurement.

The result is a rotation of g123 = 2.46(4)*10-6degree/Volt.


Hall Effect

In some semiconducting materials an electric field E is observed, created by the cooperative effect of an electric current I and a magnetic field H, where all three fields must be mutually perpendicular to each other:

Ei = RH ijk Ij Hk

The axial coefficients of the Hall effect, RH ijk are therefore measured from transversal effects.

There is a further restriction. Because I describes a transport of electrons, it makes a difference if we change the hand of the reference system by exchanging the indices i and j:

RH ijk = - RH jik

As a result, we can rewrite the Hall effect using the operation

eijl rlk = RH ijk, where eijl is the Levi-Civita symbol.

Thus, the symmetry of the Hall effect is best represented by a polar second-rank property rlk.

If Rl = rlk Hk, we can rewrite the Hall effect as follows:

Ei = (I x R)i

The unit of RH ijk is pico-cube-meter/Coulomb (1 cube-meter/Coulomb = 1.111 pico-Volt-cm/amp-gauss or 0.01111 pico-CGS).

Above is shown an example of a determination of RH 123 in cubic silver (Ag) PG: 4/m 3 from two measurements of a sample cut on the {100} faces. First the symmetry t[ij]k was selected from the list of tensor symmetries, then the point group 4/m 3 was selected from the list of cubic point groups. The result is RH 123 = 90(1) pico-cube-meter/Coulomb.